%define momorel 1
Summary: mod_ruby embeds the Ruby interpreter into the Apache web server
Name: mod_ruby
Version: 1.2.5
Release: %{momorel}m%{?dist}
Group: System Environment/Daemons
Source: http://www.modruby.net/archive/%{name}-%{version}.tar.gz
Source1: ruby.conf
License: GPL
URL: http://www.modruby.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: ruby
Requires: webserver
BuildPreReq: httpd-devel >= 2.2.2
BuildPreReq: apr-devel >= 1.2.6
BuildPreReq: ruby-eruby-devel >= 1.0.2-2m
BuildPreReq: ruby-rdtool
NoSource: 0

%description

mod_ruby embeds the Ruby interpreter into the Apache web server,
allowing Ruby CGI scripts to be executed natively. These scripts will
start up much faster than without mod_ruby.

%prep
%setup -q

%build
./configure.rb \
  --mandir=%{_mandir} \
  --with-apxs=/usr/sbin/apxs \
  --with-apr-includes=/usr/include/apr-1 \
  --enable-eruby
%make
make -C doc

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

# Install the config file
mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d
install -m 644 %{SOURCE1} \
   %{buildroot}%{_sysconfdir}/httpd/conf.d/ruby.conf.dist

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog LEGAL LICENSE.apreq NOTICE README.ja README.en
%doc examples doc/*html doc/*css doc/*rd
%config(noreplace) %{_sysconfdir}/httpd/conf.d/ruby.conf.dist
%{_libdir}/httpd/modules/mod_ruby.so
%{ruby_libdir}/auto-reload.rb
%{ruby_libdir}/apache

%changelog
* Sun May  7 2006 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.5-1m)
- version up

* Tue Sep 27 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.2.4-2m)
- use %%ruby_libdir.

* Fri Feb 25 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.4-1m)
- minor changes

* Wed Feb  9 2005 Toru Hoshina <t@momonga-linux.org>
- (1.2.3-2m)
- large file support. rebuild against httpd 2.0.53.

* Mon Sep 27 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.3-1m)
- bug fix release
  included libapreq itself.
  ignore the second SIGTERM.                        
  wait finalization process of the Ruby interpreter.
  do not use APR threads on the prefork MPM.
  Apache::Request#send_fd works on Apache2 now.
  $stdout.sync is set to true.
  call GC on every handler call.

* Wed Sep 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.2-3m)
- recent svn snapshot
  join ruby_thread
  do not use threads on prefork MPM
  fixed a bug with Apache2

* Wed Aug 11 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.2-2m)
- apply 'mod_ruby-ruby_child_cleanup.diff'

* Mon Aug  9 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.2-1m)
- bug fix release

* Sun Aug  8 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.1-1m)
- bug fix release

* Mon Jul 19 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.2.0-2m)
- stop service

* Thu May 13 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.0-1m)
- only fixes for NetBSD from version 1.1.3

* Mon Apr  5 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.1.3-1m)
- fix for mod_autoindex, support ERB2

* Sun Feb 22 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.1.2-1m)

* Sun Sep 14 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.7-1m)

* Mon Aug  4 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.6-2m)
- rebuild against ruby-1.8

* Fri Mar 14 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.6-1m)

* Fri Feb 21 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.5-1m)

* Sat Feb  8 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.4-2m)
- against httpd-2.0.43

* Sun Jan 26 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.4-1m)

* Tue Jan 21 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.3-1m)

* Thu Oct 31 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.1-1m)

* Wed Aug 21 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.0-1m)

* Wed Jun 12 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.9.9-2k)

* Thu Apr 25 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.9.8-2k)

* Thu Feb 14 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.9.7-2k)

* Fri Feb  1 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.9.6-2k)

* Fri Dec 28 2001 Kazuhiko <kazuhiko@kondara.org>
- (0.9.5-2k)

* Sun Nov  4 2001 Toru Hoshina <t@kondara.org>
- (0.9.4-4k)
- rebuild against new environment. because gcc 2.95.3 doesn't recognize
  -fno-merge-constants, use gcc_2_95_3 instead of gcc -V 2.95.3.

* Thu Oct 18 2001 Kazuhiko <kazuhiko@kondara.org>
- (0.9.4-2k)

* Sat Aug 25 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (0.9.3-4k)
- requires apache-1.3.20

* Sat Aug 25 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (0.9.3-2k)
- update to 0.9.3
- changed URL: www.modruby.net

* Fri Aug 17 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (0.9.2-2k)
- update to 0.9.2

* Fri Aug 10 2001 YAMAGUCHI Kenji <yamk@kondara.org>
- (0.9.1-2k)
- update to 0.9.1

* Wed Jun 6 2001 Kusunoki Masanori <nori@kondara.org>
- (0.8.3-2k)
- version 0.8.3

* Mon Jun 4 2001 Toru Hoshina <toru@df-usa.com>
- (0.8.2-2k)
- version 0.8.2

* Sun Apr 7 2001 SAKUMA Junichi <fk5j-skm@asahi-net.or.jp>
- (0.2.2-3k)
- version 0.2.2

* Mon Mar  4 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (0.2.1-5k)
- enable eruby (http://www.spc.gr.jp/sho/norika/200103.html#02)

* Mon Jan 01 2001 Kusunoki Masanori <nori@kondara.org>
- (0.2.1-3k)
- upstream new version.

* Thu Nov 09 2000 Shingo Akagaki <dora@kondara.org>
- cannot build TT

* Tue Oct 16 2000 Toru Hoshina <toru@df-usa.com>
- rebuild against ruby 1.6.1.

* Tue Aug 1 2000 OZAWA -Crouton- Sakuro <crouton@weatherlight.org>
- upstream new version.

* Thu Mar 30 2000 Toru Hoshina <t@kondara.org>
- rebuild against ruby 1.4.4.

* Thu Feb 24 2000 Shingo Akagaki <dora@kondara.org>
- check spec file

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Tue Oct 26 1999 KUSUNOKI Masanori <masanori@linux.or.jp>
- first release
